# PullToRefreshStyle QML Type

Style API for PullToRefresh component. More...

Import Statement: | import Lomiri.Components.Styles 1.3
Inherits: | Item

- List of all members, including inherited members

## Properties

- activationThreshold : real
- defaultContent : Component
- releaseToRefresh : bool

## Detailed Description

The component defines the style API for the PullToRefresh component.

## Property Documentation

activationThreshold : real

The property holds the threshold value when the component should enter into ready-to-refresh state when dragged manually. The default value is the height of the component styled.

defaultContent : Component

The property holds the style provided default content component. The value is assigned to the PullToRefresh::content property.

releaseToRefresh : bool

The property informs the component when a manual refresh can be triggered. Style implementations (themes) can decide when to flip the component to be ready to trigger reftesh signal.